# Uses of Interface
org.opensaml.saml.saml2.core.LogoutRequest

Packages that use LogoutRequest
Package
Description
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of LogoutRequest in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement LogoutRequest
Modifier and Type
Class
Description
`class`
`LogoutRequestImpl`
A concrete implementation of `LogoutRequest`.
Methods in org.opensaml.saml.saml2.core.impl that return LogoutRequest
Modifier and Type
Method
Description
`LogoutRequest`
LogoutRequestBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`LogoutRequest`
LogoutRequestBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of LogoutRequest in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type LogoutRequest
Modifier and Type
Method
Description
`private void`
DecryptNameIDs.`processLogoutRequest(ProfileRequestContext profileRequestContext, LogoutRequest request)`
Decrypt any `EncryptedID` found in a LogoutRequest and replace it with the result.
`private void`
EncryptNameIDs.`processLogoutRequest(LogoutRequest request)`
Encrypt a `NameID` found in a LogoutRequest and replace it with the result.

## Uses of LogoutRequest in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return LogoutRequest
Modifier and Type
Method
Description
`static LogoutRequest`
SAML2ActionTestingSupport.`buildLogoutRequest(NameID name)`
Builds an `LogoutRequest`.